Subject: RE: [Hipsec] Re: IPs as LSIs, and ULIDs (Was: Rechartering items?)

From: "Henderson, Thomas R" <[email-masked]>
Date: Thu, 3 Nov 2005 22:29:32 -0800

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: Thursday, November 03, 2005 1:24 PM
> To: Julien Laganier
> Cc: HIP; [email-masked]
> Subject: [Hipsec] Re: IPs as LSIs, and ULIDs (Was: 
> Rechartering items?)
> 
> Which brings us to what problem we are trying to solve by 
> using ULIDs in
>   HIP, and what the resulting security properties will be.
> 
> If the ULPs identify the peer using a ULID, then the strength 
> is limited by the 62 bit of hash that can be placed in the 
> ULID, even if you have a HIT with a larger hash.
> How would the security properties of HIP with ULIDs differ from 
> shim6+opportunistic IPsec? I imagine there is a difference in that the
> key used for ESP would be bound to a hash that is in the 
> ULID. Is that correct?
> 

I agree-- if you trust the 62 bit hash length, then it seems like it is
equivalent to security of pure HIP.

I do not think that invisible HIP is so hard to do-- we have been doing
a basic form of it for a few years, and interoperating successfully with
others who have not.  It should also work on the referral-type apps,
although we have not tested that explictly.

Regarding the security properties of doing it this way, I think that it
relies on security of DNS.  But in practice, won't it usually be the
case that DNS or some resolution needs to be trusted?  How many people
are going to bother to type in HITs into their application's URL fields?

Tom

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec